Skip to main content
PATCH
/
items
/
{itemId}
/
images
/
{imageId}
Update Item Image
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/items/{itemId}/images/{imageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "SalesChannelId": "1-1-1",
  "ImageData": "aSDinaTvuI8gbWludGxpZnk=",
  "Filename": "itemImage.jpg",
  "SortNumber": 3
}
'
{
  "ItemId": 123,
  "ImageId": 123,
  "Filename": "itemImage.jpg",
  "ImageDataType": "JPEG",
  "SalesChannelId": "1-1-1",
  "EbayUserName": "eBay_username",
  "SortNumber": 3,
  "Size": 921,
  "Width": 1980,
  "Height": 1024
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

itemId
integer<int32>
required
imageId
integer<int32>
required

Body

application/json

The itemImage to update.

Model Class: UpdateItemImage

SalesChannelId
string
required
Example:

"1-1-1"

ImageData
string<byte>
Filename
string
Example:

"itemImage.jpg"

SortNumber
integer<int32>
Example:

3

Response

The updated item image.

Model Class: ItemImage

ItemId
integer<int32>
required
ImageId
integer<int32>
required
Filename
string
required

Name of the file.

Example:

"itemImage.jpg"

ImageDataType
string
required

Type of image.

Example:

"JPEG"

SalesChannelId
string
required
Example:

"1-1-1"

EbayUserName
string
required

Name of the eBay user if the sales channel is eBay.

Example:

"eBay_username"

SortNumber
integer<int32>
required

The sort number for arranging images in sales channels. Every image needs to have an unique sort number per sales channel and item.

Example:

3

Size
integer<int64>
required

The size of an image.

Example:

921

Width
integer<int32>
required

The width of an image in pixels.

Example:

1980

Height
integer<int32>
required

The height of the image in pixels.

Example:

1024